<template>
    <li :class="[hasLink ? itemClass : hasChildren ? '' : 'menu-title']">
        <router-link :to="{path: url}" :class="itemRefClass" v-if="hasLink">
            <span :class="class_text" v-if="class_text">{{ right_text }}</span>
            <i :data-feather="icon" v-if="icon"></i>
            <span>{{ itemTitle }}</span>
        </router-link>
        <template v-else>
            <template v-if="hasChildren">
                <router-link :to="'#' + url" :class="itemRefClass">
                    <span :class="class_text" v-if="class_text">{{ right_text }}</span>
                    <i :data-feather="icon" v-if="icon"></i>
                    <span>{{ itemTitle }}</span>
                    <span :class="arrow" v-if="arrow"></span>
                </router-link>
                <div :id="url">
                    <ul :class="'nav-second-level'">
                        <li v-for="child in children">
                            <router-link :to="{path: child.url}" :class="itemRefClass" v-if="child.hasChildren">
                                <i :data-feather="child.icon" v-if="child.icon"></i>
                                <span :class="class_text" v-if="child.class_text">{{ child.right_text }}</span>
                                <span> {{ child.title }}</span>
                                <span :class="arrow" v-if="child.hasChildren"></span>
                            </router-link>
                            <router-link :to="{path: child.url}" :class="itemRefClass" v-else>
                                <i :data-feather="child.icon" v-if="child.icon"></i>
                                <span :class="class_text" v-if="child.class_text">{{ child.right_text }}</span>
                                <span> {{ child.title }}</span>
                                <span :class="arrow" v-if="child.hasChildren"></span>
                            </router-link>
                            <div :id="child.url" v-if="child.hasChildren">
                                <ul :class="'nav-second-level'">
                                    <li v-for="subchild in child" :class="'nav-item nav-dropdown ' + isActive">
                                        <router-link :to="{path: '#' + subchild.url}" :class="itemRefClass" :data-toggle="'collapse'">
                                            <i :data-feather="subchild.icon" v-if="subchild.icon"></i>
                                            <span :class="subchild.class_text" v-if="subchild.class_text">{{ subchild.right_text }}</span>
                                            <span> {{ subchild.title }}</span>
                                        </router-link>
                                    </li>
                                </ul>
                            </div>
                        </li>
                    </ul>
                </div>
            </template>
            <template v-else>
                {{ itemTitle }}
            </template>
        </template>
    </li>
</template>

<script>
    //import MenuSubItemList from './MenuSubItemListComponent';
export default {
    props: {
        hasLink: {
            type: Boolean,
            default: false
        },
        url: {
            type: String,
            default: null
        },
        icon: {
            type: String,
            default: null
        },
        itemName:{
            type: String,
            default: null
        },
        itemTitle: {
            type: String,
            default: null
        },
        itemClass: {
            type: String,
            default: ''
        },
        itemRefClass: {
            type: String,
            default: null
        },
        class_text: {
            type: String,
            default: null
        },
        right_text: {
            type: String,
            default: null
        },
        hasChildren:{
            type: Boolean,
            default: false
        },
        children: {
            type: Object,
            default: {}
        },
        arrow: {
            type: String,
            default: null
        }
    },
    computed: {
    },
    data: function() {

    },
    methods: {
        toggle(event){
            console.log(event.target.parentNode.nextSibling.classList);

            let el = event.target.parentNode.nextSibling;

            el.classList.add('show');
            el.show();
            /*var navCollapse = $('#side-menu li .collapse');

            // open one menu at a time only
            navCollapse.on({
                'show.bs.collapse': function (event) {
                    var parent = $(event.target).parents('.collapse.show');
                    $('#side-menu .collapse.show').not(parent).collapse('hide');
                }
            });*/
        }
    },
    mounted() {

    }
}
</script>

<style scoped>

</style>
